
%define name	kpdftool
%define version	0.23.1
%define rel	4

Summary:	GhostView and ImageMagick GUI for PDF/PS files
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPL+
Group:		Publishing
URL:		http://www.kde-apps.org/content/show.php?content=33194
Source:		http://kde-apps.org/CONTENT/content-files/33194-kpdftool-%{version}.zip
BuildRequires:	qt4-devel
Suggests:	imagemagick
Suggests:	ghostscript

%description
KPDFTool is a GUI interface for GhostView and ImageMagick
for performing basic and usefull operations with PDF and
PS (PostScript) files such as merge, extract pages and
protect the text into new files in a simple and practical way.

%prep
%setup -q

%build
%qmake_qt4
%make 

%install
install -d -m755 %{buildroot}%{_bindir}
install -m755 kpdftool %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/kpdftool.desktop << EOF
[Desktop Entry]
Name=KPDFTool
Comment=Operate on PDF files
Exec=%{_bindir}/kpdftool
Icon=publishing_section
Terminal=false
Type=Application
Categories=Office;Publishing;KDE;Qt;
EOF

%files
%doc README
%{_bindir}/kpdftool
%{_datadir}/applications/kpdftool.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.23.1-4.mga3
+ Revision: 356450
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 fwang <fwang> 0.23.1-3.mga3
+ Revision: 310902
- use qmake macro
- do not promote kword, as it does not like calligra-words

* Sun Oct 28 2012 malo <malo> 0.23.1-2.mga3
+ Revision: 310897
- spec clean-up
- fix RPM group

* Fri Sep 07 2012 fwang <fwang> 0.23.1-1.mga3
+ Revision: 289120
- new version 0.23.1

* Thu Jul 07 2011 spuhler <spuhler> 0.23-1.mga2
+ Revision: 119639
- imported package kpdftool

